#ifndef SHADER_H
#define SHADER_H

#include <GL/glew.h>
#include <stdbool.h>

typedef struct {
	bool success;
	GLuint shader;
} ShaderCompileResult;

extern const char* readFileToMemory(const char* filepath);
extern ShaderCompileResult readAndCompileShaderFromFile(const char* filepath, GLenum shaderType);

#endif // SHADER_H